--- /dev/null
+#!/bin/bash
+g() { git "$@"; }
+cmd=$1
+shift
+acmd=$(git config --get "alias.${cmd}")
+
+case ${acmd} in
+rebase)
+ if [[ $1 == "all" ]] ; then
+ for b in $(g b | awk '{print $NF}') ; do
+ echo " ### $b"
+ g co $b || exit 1
+ r rb || exit 1
+ done
+ exit 0
+ fi
+ ;;
+esac
+
+exec repo ${acmd:-${cmd}} "$@"
+###
+### Google
+###
+Host gerrit.chromium.org
+ IdentityFile ~/.ssh/id_rsa.google
+Host gerrit-int.chromium.org
+ IdentityFile ~/.ssh/id_rsa.google
+
+Host review.source.android.com
+ IdentityFile ~/.ssh/id_rsa.google
+
+Host git.overlays.gentoo.org
+ IdentityFile ~/.ssh/id_rsa.google
+
+
+
###
### random source systems
###